## ros-one-ethercat-grant 0.3.2-3jammy.20251022.2356

=== debian/changelog ===
ros-one-ethercat-grant (0.3.2-3jammy.20251022.2356) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 22 Oct 2025 23:56:11 +0000

ros-one-ethercat-grant (0.3.2-0jammy) jammy; urgency=high

  * Fixing CHANGELOG
  * Contributors: Fotios

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-ethercat-grant (0.3.1-0jammy) jammy; urgency=high

  * Updating README file

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-ethercat-grant (0.3.0-0jammy) jammy; urgency=high

  * Updating README file
  * Create postinst
  * Delete postinst
  * Create LICENSE
  * Delete LICENSE.md
  * Create LICENSE.md
  * Migrating to Noetic
  * Create CODEOWNERS (#8 <https://github.com/shadow-robot/ethercat_grant/issues/8>)
  * Contributors: Fotios, maxzieba, mikramarc

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-one-ethercat-grant (0.2.4-0jammy) jammy; urgency=high

  * Migrated to package.xml version 2

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-ethercat-grant (0.2.2-0jammy) jammy; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-ethercat-grant (0.2.1-0jammy) jammy; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 29 Dec 2016 00:00:00 -0000

ros-one-ethercat-grant (0.2.0-0jammy) jammy; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 29 Dec 2016 00:00:00 -0000

ros-one-ethercat-grant (0.1.1-0jammy) jammy; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 10 Apr 2015 00:00:00 -0000

ros-one-ethercat-grant (0.1.0-0jammy) jammy; urgency=high

  * Add postinstallation script
  * Change package name

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 07 Apr 2015 00:00:00 -0000

## ros-one-ethercat-grant 0.3.2-3jammy.20260220.2057

=== debian/changelog ===
ros-one-ethercat-grant (0.3.2-3jammy.20260220.2057) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 20 Feb 2026 20:57:05 +0000

## ros-one-ethercat-grant 0.3.2-3noble.20251022.2354

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ethercat_grant)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES ethercat_grant
#  CATKIN_DEPENDS roscpp
#  DEPENDS system_lib
)
include_directories(
  ${catkin_INCLUDE_DIRS}
)
add_executable(ethercat_grant src/ethercat_grant.cpp)
target_link_libraries(ethercat_grant cap)

install(TARGETS ethercat_grant
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-ethercat-grant (0.3.2-3noble.20251022.2354) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 22 Oct 2025 23:54:02 +0000

ros-one-ethercat-grant (0.3.2-0noble) noble; urgency=high

  * Fixing CHANGELOG
  * Contributors: Fotios

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-ethercat-grant (0.3.1-0noble) noble; urgency=high

  * Updating README file

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-ethercat-grant (0.3.0-0noble) noble; urgency=high

  * Updating README file
  * Create postinst
  * Delete postinst
  * Create LICENSE
  * Delete LICENSE.md
  * Create LICENSE.md
  * Migrating to Noetic
  * Create CODEOWNERS (#8 <https://github.com/shadow-robot/ethercat_grant/issues/8>)
  * Contributors: Fotios, maxzieba, mikramarc

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-one-ethercat-grant (0.2.4-0noble) noble; urgency=high

  * Migrated to package.xml version 2

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-ethercat-grant (0.2.2-0noble) noble; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-ethercat-grant (0.2.1-0noble) noble; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 29 Dec 2016 00:00:00 -0000

ros-one-ethercat-grant (0.2.0-0noble) noble; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 29 Dec 2016 00:00:00 -0000

ros-one-ethercat-grant (0.1.1-0noble) noble; urgency=high

  * Modify postinst script

 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 10 Apr 2015 00:00:00 -0000

ros-one-ethercat-grant (0.1.0-0noble) noble; urgency=high

  * Add postinstallation script
  * Change package name

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 07 Apr 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-ethercat-grant
Section: misc
Priority: optional
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libcap-dev, ros-one-catkin, ros-one-roscpp
Homepage: http://www.shadowrobot.com/
Standards-Version: 3.9.2

Package: ros-one-ethercat-grant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcap-dev, ros-one-roscpp
Description: Makes it possible to run the ros_ethercat_loop without using sudo.
 Forked from pr2-grant

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ethercat-grant//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ethercat-grant 0.3.2-3noble.20260220.2100

=== debian/changelog ===
ros-one-ethercat-grant (0.3.2-3noble.20260220.2100) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Shadow Robot's software team <software@shadowrobot.com>  Fri, 20 Feb 2026 21:00:20 +0000
